asn1_get_octet_der(3)

NAME
asn1_get_octet_der - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_get_octet_der(const unsigned char * der, int der_len, int * ret_len, unsigned char * str, int str_size, int * str_len);

ARGUMENTS

const unsigned char * der
    DER data to decode containing the OCTET SEQUENCE.

int der_len
    The length of the der data to decode.

int * ret_len
    Output variable containing the encoded length of the DER data.

unsigned char * str
    Pre-allocated output buffer to put decoded OCTET SEQUENCE in.

int str_size
    Length of pre-allocated output buffer.

int * str_len
    Output variable containing the length of the contents of the OCTET SEQUENCE.

DESCRIPTION
Extract an OCTET SEQUENCE from DER data. Note that this function expects the DER data past the tag field, i.e., the length and content octets.

RETURNS
Returns ASN1_SUCCESS on success, or an error.

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/